summaryrefslogtreecommitdiffstats
path: root/libraries/wxpdfdoc
diff options
context:
space:
mode:
author Fernando Lopez Jr.2024-01-03 04:01:24 +0100
committer Willy Sudiarto Raharjo2024-01-03 04:20:12 +0100
commit6fb7377c7935328a15a0103d0e5bf5426e5ce8ad (patch)
tree9ad96bc88c634376f3969e775b1eb0bcf38cc38c /libraries/wxpdfdoc
parentaec9ac9d9a65171367653ee965b5f10b0a4936bc (diff)
downloadslackbuilds-6fb7377c7935328a15a0103d0e5bf5426e5ce8ad.tar.gz
libraries/wxpdfdoc: Added (Generate PDF Documents).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/wxpdfdoc')
-rw-r--r--libraries/wxpdfdoc/README11
-rw-r--r--libraries/wxpdfdoc/slack-desc19
-rw-r--r--libraries/wxpdfdoc/wxpdfdoc.SlackBuild113
-rw-r--r--libraries/wxpdfdoc/wxpdfdoc.info10
4 files changed, 153 insertions, 0 deletions
diff --git a/libraries/wxpdfdoc/README b/libraries/wxpdfdoc/README
new file mode 100644
index 0000000000..80ecc3a034
--- /dev/null
+++ b/libraries/wxpdfdoc/README
@@ -0,0 +1,11 @@
+wxPdfDocument allows wxWidgets applications to generate PDF
+documents. The code is a port of FPDF - a free PHP class for
+generating PDF files - to C++ using the wxWidgets library.
+Several add-on PHP scripts found on the FPDF web site are
+incorporated into wxPdfDocument.
+
+Embedding of PNG, JPEG, GIF and WMF images is supported. In
+addition to the 14 standard Adobe fonts it is possible to use
+other Type1, TrueType or OpenType fonts - with or without
+embedding them into the generated document. CJK fonts are supported,
+too. Graphics primitives allow the creation of simple drawings.
diff --git a/libraries/wxpdfdoc/slack-desc b/libraries/wxpdfdoc/slack-desc
new file mode 100644
index 0000000000..c3b63b29ea
--- /dev/null
+++ b/libraries/wxpdfdoc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wxpdfdoc: wxpdfdoc (wxWidgets library to generate PDF)
+wxpdfdoc:
+wxpdfdoc: wxPdfDocument allows wxWidgets applications to generate PDF
+wxpdfdoc: documents. The code is a port of FPDF - a free PHP class for
+wxpdfdoc: generating PDF files - to C++ using the wxWidgets library.
+wxpdfdoc:
+wxpdfdoc: Several add-on PHP scripts found on the FPDF web site are
+wxpdfdoc: incorporated into wxPdfDocument.
+wxpdfdoc:
+wxpdfdoc: Homepage: https://utelle.github.io/wxpdfdoc/
+wxpdfdoc:
diff --git a/libraries/wxpdfdoc/wxpdfdoc.SlackBuild b/libraries/wxpdfdoc/wxpdfdoc.SlackBuild
new file mode 100644
index 0000000000..4cc83f3923
--- /dev/null
+++ b/libraries/wxpdfdoc/wxpdfdoc.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/bash
+
+# Slackware build script for wxpdfdoc
+
+# Copyright 2023 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wxpdfdoc
+VERSION=${VERSION:-1.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+autoreconf
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --enable-samples \
+ --build=$ARCH-slackware-linux
+
+ make
+ make install DESTDIR=$PKG
+#cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.md LICENCE.txt readme.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/wxpdfdoc/wxpdfdoc.info b/libraries/wxpdfdoc/wxpdfdoc.info
new file mode 100644
index 0000000000..f95c306800
--- /dev/null
+++ b/libraries/wxpdfdoc/wxpdfdoc.info
@@ -0,0 +1,10 @@
+PRGNAM="wxpdfdoc"
+VERSION="1.0.3"
+HOMEPAGE="https://utelle.github.io/wxpdfdoc/"
+DOWNLOAD="https://github.com/utelle/wxpdfdoc/archive/v1.0.3/wxpdfdoc-1.0.3.tar.gz"
+MD5SUM="b9db280f9ee381bb159a9fa02f43472e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="wxWidgets"
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"